Bug 977693 - Japanese version of "Task: Specify an encrypted suckerPassword for JBoss Messaging" shows wrong command
Japanese version of "Task: Specify an encrypted suckerPassword for JBoss Mess...
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Installation_Guide (Show other bugs)
5.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Mumford
Russell Dickenson
: Documentation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 03:22 EDT by Ian Walker
Modified: 2015-04-23 20:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-23 20:54:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Walker 2013-06-25 03:22:21 EDT
Document URL: 
https://access.redhat.com/site/documentation/ja-JP/JBoss_Enterprise_Application_Platform/5/html-single/Installation_Guide/index.html#task-Generate_suckerPassword_Encrypted


Section Number and Name: 
Task: Specify an encrypted suckerPassword for JBoss Messaging
(タスク:暗号化された JBoss Messaging suckerPassword の作成)


Describe the issue: 
In step 2, "Run the following command" (次のコマンドを実行します), the two commands below are shown:

  [messaging]$ java -cp common/lib/jboss-messaging.jar org.jboss.messaging.util.SecurityUtil $Password

  java-cp "jboss-messaging-client.jar" org.jboss.messaging.util.SecurityUtil $Password

The first command is wrong; there is no org.jboss.messaging.util.SecurityUtil class in jboss-messaging.jar.

For the second command, the path to the jboss-messaging-client.jar is missing making it difficult to figure out what to do.


Suggestions for improvement: 
Remove the first command and change the second to the following(*):

/path/to/java/executable -cp JBOSS_HOME/client/jboss-messaging-client.jar org.jboss.messaging.util.SecurityUtil PLAIN_TEXT_PASSWORD

(*) From the English version: https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/5/html/Messaging_User_Guide/ch10.html#task-Generate_suckerPassword_Encrypted
Comment 1 Scott Mumford 2014-04-06 22:23:21 EDT
Reassigning to translation team.

Note You need to log in before you can comment on or make changes to this bug.